<?php

/**
 * KVS Plugin help page view: Basic support page content
 *
 * @link       https://www.kernel-video-sharing.com/
 * @since      1.0.0
 *
 * @package    Kvs
 * @subpackage Kvs/admin/partials
 */

?>

<div class="wrap">
    <h2>Why use KVS?</h2>
    <p>
        WordPress is a popular solution for basic sites, but video websites on this platform face many difficulties, for example:
    </p>

    <ul>
        <li>- all video files are stored on a single server, there is no multi-server support, some of the disadvantages that follow from this:</li>
        <li>- you cannot add new servers to increase the total amount of stored videos.</li>
        <li>- you cannot load balance videos between several servers to cope with the increased load on high traffic.</li>
        <li>- you cannot move videos between servers.</li>
        <li>- you cannot send less important countries to a slower server, and more important countries to a faster server.</li>
        <li>- it is impossible to limit less important countries in streaming speed to save bandwidth.</li>
        <li>- there is no possibility of video conversion, all files must be uploaded ready-made, no multi-server conversion support.</li>
        <li>- there is no way to have different video formats and qualities.</li>
        <li>- there is no possibility of displaying timeline screenshots when fast-forwarding a video.</li>
        <li>- there is no way to maintain the entire base of video files under control, or make an audit of video files.</li>
        <li>- there is no way to control the speed of video files depending on their bitrate to save bandwidth.</li>
        <li>- extremely weak advertising features, for example:</li>
        <li>- very basic advertising opportunities or are absent at all.</li>
        <li>- most of the advertising is possible only through the templates to be set.</li>
    </ul>

    <p>
        All these and many other disadvantages can be easily solved using KVS. You can install KVS aside to WordPress
	    installation and then maintain the entire video database in it - add, administer, delete videos with all meta
	    information, while KVS will be responsible for converting, storing, managing videos files, as well as for
	    displaying the player and all advertisements inside the player. This plugin will then automatically pull
	    videos from KVS into WordPress and create new posts with them.
    </p>
	<p>
		KVS also provides extremely feature rich import and grabber API that can be used to automate importing video content
		into KVS with highly customizable settings.
	</p>
    <p>
        <b>This plugin requires KVS Ultimate to be installed on your server!</b>
    </p>
</div>
